%define upstream_name    Template-Plugin-Page
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	A plugin to help when paging through sets of results
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-Data-Page
BuildRequires:  perl-Template-Toolkit
BuildArch:	noarch


%description
When searching through large amounts of data, it is often the case
that a result set is returned that is larger than we want to display
on one page. This results in wanting to page through various pages of
data. The maths behind this is unfortunately fiddly, hence this
module.

The main concept is that you pass in the number of total entries, the
number of entries per page, and the current page number. You can then
call methods to find out how many pages of information there are, and
what number the first and last entries on the current page really are.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
make test

%install
%makeinstall_std

%files
%doc README Changes
%perl_vendorlib/Template/Plugin/*
%_mandir/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-7.mga6
+ Revision: 1033904
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.100.0-6.mga6
+ Revision: 942515
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 741659
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 686349
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 514967
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 373176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 36577
- mageia rebuild
- imported package perl-Template-Plugin-Page


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.0
+ Revision: 408083
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-6mdv2009.0
+ Revision: 258476
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-5mdv2009.0
+ Revision: 246507
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.10-3mdv2008.1
+ Revision: 140717
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-3mdv2008.0
+ Revision: 86943
- rebuild


* Mon Jan 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-2mdk
- Add BuildRequires: perl-Template-Toolkit

* Sun Jan 15 2006 Frederic Lepied <flepied@mandriva.com> 0.10-1mdk
- Initial package

